Page MenuHomePhabricator

Please add <http://www.limis.lt/> to $wgCopyUploadsDomains
Closed, ResolvedPublic

Event Timeline

Wittylama created this task.Jun 5 2015, 1:32 PM
Wittylama raised the priority of this task from to Needs Triage.
Wittylama updated the task description. (Show Details)
Wittylama added subscribers: Wittylama, dan-nl, DivadH.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 5 2015, 1:32 PM
tomasz claimed this task.Jun 5 2015, 9:06 PM
tomasz triaged this task as Lowest priority.
tomasz set Security to None.

Change 216316 had a related patch set uploaded (by Odder):
Add another source to $wgCopyUploadsDomains

https://gerrit.wikimedia.org/r/216316

zhuyifei1999 moved this task from Incoming to Uploading on the Commons board.Jun 6 2015, 8:34 AM

Just wondering if someone could give me a timeline for this one being approved?

There is no schedule or timeline for these sorts of things.

There is no schedule or timeline for these sorts of things.

According to the documentation page on Commons for the GLAMwiki Toolset there IS a schedule:

"We generally process these changes Monday to Thursday twice a day, at 8:00 and 16:00 PST."
and I believe it was @Bawolff who said that.

Krenair added a comment.EditedJun 10 2015, 12:57 PM

There is no schedule or timeline for these sorts of things.

According to the documentation page on Commons for the GLAMwiki Toolset there IS a schedule:
"We generally process these changes Monday to Thursday twice a day, at 8:00 and 16:00 PST."
and I believe it was @Bawolff who said that.

Those look like just the normal SWAT deployment times? I.e. when deployers are around to send small patches through if they approve of them. There is no guarantee that a deployer will even consider your patch unless it's in such a deployment window. Trivial config patches can, and often do, sit in the code review queue in Gerrit for weeks.

dan-nl added a comment.EditedJun 10 2015, 2:33 PM

based on past experience, once these config` patches are merged, the changes are available on beta and production in about 15 minutes. there was no need for a SWAT or regular deploy.

it would be great if the people with +2 ability for these config patches could be added to them automatically for review in the same way siebrand is or was automatically added to all i18n patches and bryandavis is automatically added to vagrant patches.

based on past experience, once these config patches are merged, the changes are available on beta and production in about 15 minutes. there was no need for a SWAT or regular deploy.

wat? config changes get automatically sent to beta once they're merged in Gerrit, sure, but production requires a deployer to log into a deployment server, pull the change, and push it to the servers. Approving mediawiki-config patches in Gerrit but not deploying them to production can cause issues and make you unpopular with the next person that does want to deploy a config change.

it would be great if the people with +2 ability for these config patches could be added to them automatically for review in the same way siebrand is, or was automatically added to all i18n patches.

Most people are not going to be able to review/approve/deploy every config patch. I happen to watch all mediawiki-config uploads, but not automatically add myself as a reviewer to them - some of them I shouldn't do myself.

dan-nl added a comment.EditedJun 10 2015, 2:56 PM

wat? config changes get automatically sent to beta once they're merged in Gerrit, sure, but production requires a deployer to log into a deployment server, pull the change, and push it to the servers. Approving mediawiki-config patches in Gerrit but not deploying them to production can cause issues and make you unpopular with the next person that does want to deploy a config change.

i must be mistaken then.

Most people are not going to be able to review/approve/deploy every config patch. I happen to watch all mediawiki-config uploads, but not automatically add myself as a reviewer to them - some of them I shouldn't do myself.

i was just hoping we might be able to streamline this type of request by focusing only on these whitelist config changes, but if that’s not possible at the moment, i understand.

There is no schedule or timeline for these sorts of things.

According to the documentation page on Commons for the GLAMwiki Toolset there IS a schedule:
"We generally process these changes Monday to Thursday twice a day, at 8:00 and 16:00 PST."
and I believe it was @Bawolff who said that.

That was Dereckson. My spiel was more that if its time critical please write that it is in the bug, and for any big event, please file a week in advanced.

Change 216316 merged by jenkins-bot:
Add www.limis.lt to $wgCopyUploadsDomains

https://gerrit.wikimedia.org/r/216316

Bawolff closed this task as Resolved.Jun 10 2015, 11:25 PM

@Wittylama upload away!

dan-nl added a comment.EditedJun 10 2015, 11:51 PM

@Krenair,

i just checked both beta and production and the whitelist config change appears in both environments. was the merged patch also deployed to production?

yes it was, see SAL

dan-nl added a comment.EditedJun 11 2015, 12:06 AM

sorry, didn’t know what the acronymn meant: Server Admin Log (SAL). thanks for your help.

So there seems to be a lot of confusion about how config change deploys work. In the interest in dispelling confusion, here's the process generally (As I understand it. I'm not a deployer, nor am I usually involved with any code that doesn't go out on the MW train, so if I misunderstand anything, please correct me):

  1. Someone files a shell bug (e.g. This bug)
  2. Someone submits a requested change in gerrit (That's what odder did with https://gerrit.wikimedia.org/r/216316 )
  3. People check that change is ok (e.g. +1 it)
  4. Either some deployer sees the change and decides to deploy it, or if you are a dev who wants to see the patch deployed, but alas are a mere mortal like me, you sign up for a SWAT deploy spot (e.g. https://wikitech.wikimedia.org/w/index.php?title=Deployments&diff=162536&oldid=162364 )
  5. Once the swat window comes around, the deployer whose doing SWAT makes sure that whomever is listed as responsible for the patch on the Deployments page is on #wikimedia-operations. s/he checks that the request is sane
  6. Deployer +2's the config patch. This causes the patch to go live on beta cluster. Gerrit bot remarks that the patch is merged on the bug
  7. Very shortly after (usually next 10 minutes), the deployer either deploys patch to cluster or reverts the patch (Any changes that go long term to beta cluster only are in different config files. The mediawiki-config git repo usually reflects exactly what is actually running)
  8. Once config change is deployed to cluster, this is noted at https://wikitech.wikimedia.org/wiki/Server_Admin_Log and also by a bot on #wikimedia-operations channel.